---
version: "2.1"
services:
  code-server:
    image: rancher/rancher:v2.7.6
    container_name: rancher1
    privileged: true
    volumes:
      - /ab/misc/rancher1:/var/lib/rancher
      - /ab/certs/live/LABSERVERNAME/fullchain.pem:/etc/rancher/ssl/cert.pem
      - /ab/certs/live/LABSERVERNAME/privkey.pem:/etc/rancher/ssl/key.pem
    ports:
      - 12081:80
      - 12444:443
    restart: unless-stopped
    command: '--no-cacerts'
    environment:
      - CATTLE_BOOTSTRAP_PASSWORD=supersecretpassword